Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Class ProcessingInstructionImpl

    java.lang.Object
      org.exist.dom.NodeImpl
          org.exist.dom.StoredNode
              org.exist.dom.ProcessingInstructionImpl

All Implemented Interfaces:
  org.w3c.dom.Node, org.w3c.dom.ProcessingInstruction, QNameable, Visitable

public class ProcessingInstructionImpl
extends StoredNode
implements org.w3c.dom.ProcessingInstruction

Persistent implementation of a DOM processing-instruction node.

Author:
  wolf

Field Summary

Fields inherited from class org.exist.dom.StoredNode
`UNKNOWN_NODE_IMPL_ADDRESS`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ProcessingInstructionImpl()`
`ProcessingInstructionImpl(NodeId nodeId, java.lang.String target, java.lang.String data)`
`ProcessingInstructionImpl(java.lang.String target, java.lang.String data)`

Method Summary
`void` | `clear()` Reset this object to its initial state.
`static StoredNode` | `deserialize(byte[] data, int start, int len, DocumentImpl doc, boolean pooled)` Read a node from the specified byte array.
`int` | `getChildCount()`
`java.lang.String` | `getData()` Gets the data attribute of the ProcessingInstructionImpl object
`org.w3c.dom.Node` | `getFirstChild()`
`java.lang.String` | `getNodeName()`
`java.lang.String` | `getTarget()` Gets the target attribute of the ProcessingInstructionImpl object
`boolean` | `hasChildNodes()`
`byte[]` | `serialize()`
`void` | `setData(java.lang.String data)` Sets the data attribute of the ProcessingInstructionImpl object
`void` | `setTarget(java.lang.String target)` Sets the target attribute of the ProcessingInstructionImpl object
`java.lang.String` | `toString()` Description of the Method

Methods inherited from class org.exist.dom.StoredNode
`accept, accept, deserialize, equals, getBroker, getDocId, getInternalAddress, getNextSibling, getNodeId, getNodeType, getOwnerDocument, getParentNode, getPath, getPreviousSibling, getQName, release, setInternalAddress, setNodeId, setOwnerDocument, toString`

Methods inherited from class org.exist.dom.NodeImpl
`appendChild, appendChildren, cloneNode, compareDocumentPosition, getAttributes, getAttributesCount, getBaseURI, getChildNodes, getFeature, getLastChild, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getTextContent, getUserData, hasAttributes, insertAfter, insertAfter, insertBefore, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeChild, replaceChild, replaceChild, setAttributes, setNodeName, setNodeValue, setPrefix, setTextContent, setUserData, supports, updateChild, updateChild`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### ProcessingInstructionImpl

    public ProcessingInstructionImpl()

### ProcessingInstructionImpl

    public ProcessingInstructionImpl(NodeId nodeId,
                                     java.lang.String target,
                                     java.lang.String data)

### ProcessingInstructionImpl

    public ProcessingInstructionImpl(java.lang.String target,
                                     java.lang.String data)

Method Detail

### clear

    public void clear()

  Description copied from class: `StoredNode`
  Reset this object to its initial state. Required by the parser to be able to reuse node objects.

  Overrides:
    `clear` in class `StoredNode`

### getTarget

    public java.lang.String getTarget()

  Gets the target attribute of the ProcessingInstructionImpl object

  Specified by:
    `getTarget` in interface `org.w3c.dom.ProcessingInstruction`
  Returns:
    The target value

### setTarget

    public void setTarget(java.lang.String target)

  Sets the target attribute of the ProcessingInstructionImpl object

  Parameters:
    `target` - The new target value

### getNodeName

    public java.lang.String getNodeName()

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeName` in class `NodeImpl`
  See Also:
    `Node.getNodeName()`

### getData

    public java.lang.String getData()

  Gets the data attribute of the ProcessingInstructionImpl object

  Specified by:
    `getData` in interface `org.w3c.dom.ProcessingInstruction`
  Returns:
    The data value

### setData

    public void setData(java.lang.String data)

  Sets the data attribute of the ProcessingInstructionImpl object

  Specified by:
    `setData` in interface `org.w3c.dom.ProcessingInstruction`
  Parameters:
    `data` - The new data value

### toString

    public java.lang.String toString()

  Description of the Method

  Overrides:
    `toString` in class `StoredNode`
  Returns:
    Description of the Return Value

### serialize

    public byte[] serialize()

  Overrides:
    `serialize` in class `StoredNode`

### deserialize

    public static StoredNode deserialize(byte[] data,
                                         int start,
                                         int len,
                                         DocumentImpl doc,
                                         boolean pooled)

  Description copied from class: `StoredNode`
  Read a node from the specified byte array. <<<<<<< .working This checks the node type and calls the `StoredNode.deserialize(byte[], int, int, DocumentImpl, boolean)` ======= This checks the node type and calls the deserialize(byte[], int, int,boolean) >>>>>>> .merge-right.r4159 method of the corresponding node class. The node will be allocated in the pool and should be released once it is no longer needed.

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasChildNodes` in class `NodeImpl`
  See Also:
    `Node.hasChildNodes()`

### getChildCount

    public int getChildCount()

  Overrides:
    `getChildCount` in class `NodeImpl`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `NodeImpl`
  See Also:
    `Node.getFirstChild()`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.